> ## Documentation Index
> Fetch the complete documentation index at: https://developers.projectcor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Teams

> Retrieves a paginated list of teams. By default, responses are paginated with 20 items per page.



## OpenAPI

````yaml /api-reference/openapi.json get /teams
openapi: 3.1.0
info:
  title: COR API
  description: >-
    The COR API lets you integrate with projectcor.com applications using simple
    HTTP methods, in either XML or JSON formats, making this an ideal API for
    developing integrations with other softwares, external clients or mobile
    applications
  version: 1.0.0
servers:
  - url: https://api.projectcor.com/v1
    description: Production server
security:
  - bearerAuth: []
paths:
  /teams:
    get:
      tags:
        - Teams
      summary: Get Teams
      description: >-
        Retrieves a paginated list of teams. By default, responses are paginated
        with 20 items per page.
      parameters:
        - name: page
          in: query
          schema:
            type:
              - integer
              - boolean
            default: 1
          description: 'Page number (default: 1). Set to `false` to disable pagination.'
        - name: perPage
          in: query
          schema:
            type: integer
            default: 20
          description: 'Number of items per page (default: 20).'
      responses:
        '200':
          description: Paginated list of teams
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedTeamsResponse'
components:
  schemas:
    PaginatedTeamsResponse:
      type: object
      description: Paginated response for teams list
      properties:
        total:
          type:
            - string
            - integer
          description: Total number of teams
        perPage:
          type: integer
          description: Number of items per page
        page:
          type: integer
          description: Current page number
        lastPage:
          type: integer
          description: Last available page number
        data:
          type: array
          description: Array of teams for the current page
          items:
            $ref: '#/components/schemas/Team'
    Team:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        description:
          type: string
        workspace_id:
          type: integer
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````